/* FORM PRESTADORES */

    .plano-dependent {
        display: none;
    }
    .plano-dependent.active {
        display: block;
    }
    .menu-select {
        background-color: #f3eafa;
        padding: 16px 0;
        border-radius: 8px;
        border: 2px solid #dacfff;
        margin: 10px;
        cursor: pointer;
        width: 160px;
    }
    .menu-select label {
        padding: 10px;
        font-size: 20px;
        font-weight: 500;
        color: #59009d;
    }
    .form-container {
        display: none;
    }
    .form-container.active {
        display: block;
        background-color: #560098;
    }
    .selecione {
        padding: 0 0 15px;
        font-size: 20px;
        font-weight: 500;
        color: #2c2c2c;
        text-align: center;
    }
    .prestador-icon, .cliente-icon {
        font-size: 40px;
    }
    .modal {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        justify-content: center;
        align-items: center;
        z-index: 1000;
    }
    .modal-content {
        background-color: white;
        padding: 20px;
        border-radius: 5px;
        max-width: 500px;
        width: 90%;
        text-align: center;
    }
    .modal-close {
        float: right;
        font-size: 20px;
        cursor: pointer;
    }

    .loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1001; /* Acima da modal */
}

.spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #f3eafa;
    border-top: 5px solid #59009d;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

/* FORM CADASTRO*/

.error-message {
    color: red;
    font-size: 0.9em;
    padding: 6px 0px 0px 4px;
        }
        .plano-dependent {
            display: none;
        }
        .plano-dependent.active {
            display: block;
        }
        .menu-select {
            background-color: #f3eafa;
            padding: 16px 0;
            border-radius: 8px;
            border: 2px solid #dacfff;
            margin: 10px;
            cursor: pointer;
            width: 160px;
        }
        .menu-select label {
            padding: 10px;
            font-size: 1.25rem;
            font-weight: 500;
            color: #59009d;
        }
        .form-container {
            display: none;
        }
        .form-container.active {
            display: block;
            background-color: #560098;
        }
        .selecione {
            padding: 0 0 15px;
            font-size: 20px;
            font-weight: 500;
            color: #2c2c2c;
            text-align: center;
        }
        .prestador-icon, .cliente-icon {
            font-size: 40px;
        }

        .modal {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            justify-content: center;
            align-items: center;
            z-index: 1000;
        }
        .modal-close {
            float: right;
            font-size: 20px;
            cursor: pointer;
        }

         select { background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23666' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3e%3cpolyline points='6,9 12,15 18,9'%3e%3c/polyline%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px;
    padding-right: 2.5rem !important;
    cursor: pointer;}

        /* LOADING*/

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.loading-text {
    margin-top: 50px !important;
    font-size: 22px !important;
    color: #ffffff !important;
    font-weight: 500 !important;
    position: absolute !important;
    background-color: #ac7dff;
    height: 190px;
    z-index: -10;
    width: 200px;
    align-content: flex-end;
    border-radius: 15px;
    padding-bottom: 40px;
    border: 3px solid #dcc9ff;
}

.promo-planos {
    background-color: #f5ecff;
    border-radius: 25px;
    padding: 0 0 25px;
    width: 80%;
   margin: 0 auto 30px;
}

.promo { background: #be7cf1; padding: 8px; color: #fff; border-radius: 25px 0px 25px 0px; margin-bottom: 20px; box-shadow: inset 0px 20px 20px 0px rgb(168 92 226);}
span#contador { font-size: 20px; color: #fff; font-weight: 500;}
.planos {margin: 30px auto 0;}
.planos img {padding: 0; margin: 15px auto; box-shadow: rgb(130 113 255 / 54%) 0px 6px 9px 1px; border-radius: 15px;}
span.texto-oferta { font-size: 24px; color: #000; font-weight: normal; display: inline-block; padding: 10px 0; line-height: 1.2; margin: 10px 0 0;}
h5 {margin: 0;  font-size: 1.15rem; line-height: 1.2; font-weight: 400; color: #ffffff;}

.time-unit {
    background: #d1a7f2    !important;
    padding: 3px 0!important;
    border-radius: 18px!important;
    font-weight: 500!important;
    font-size: 1.1rem!important;
    display: inline-block!important;
    text-align: center!important;
    margin: 10px 2px 5px!important;
    color: #570099!important;
    width: 90px;
    letter-spacing: 0.05rem;
}

.relampago {
    font-style: italic;
    color: #FFEB3B;
    font-weight: 800;
    text-shadow: 0 0 10px #000000;
}

.periodo-ano {    background-color: #ffe13b;
    padding: 2px 6px;
    line-height: 1.8;
    color: #000; }

   ul { margin-top: 0; margin-bottom: 1rem; padding-left: 2rem;}

     .select-with-icon {
padding-left: 44px !important;
    background-repeat: no-repeat, no-repeat;
    background-position: 10px center, right 0.75rem center;
    background-size: 26px 25px, 16px;
}
    .select-with-icon[data-ramo="automotivo"] {
    background-image: url('/imagens/car_icon.png'), url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23666' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3e%3cpolyline points='6,9 12,15 18,9'%3e%3c/polyline%3e%3c/svg%3e");
}

    .select-with-icon[data-ramo="residencial"] {
    background-image: url('/imagens/casa_icon.png'), url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23666' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3e%3cpolyline points='6,9 12,15 18,9'%3e%3c/polyline%3e%3c/svg%3e");
}

.select-with-icon[data-ramo="pessoal"] {
    background-image: url('/imagens/pessoal_icon.png'), url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23666' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3e%3cpolyline points='6,9 12,15 18,9'%3e%3c/polyline%3e%3c/svg%3e");
}

.card-exemplo {margin-top: 20px; background-color: #f5ecff; border-radius: 20px; padding: 15px 0 10px; background: linear-gradient(180deg, rgb(245 236 255) 0%, rgb(255 255 255) 100%); }
.exemplo { padding: 0; font-size: 20px; color: #673AB7!important;  display: block; font-weight: 700 !important;}   

@media (max-width: 900px) {

.planos img { /* padding: 0 10px; */ }
.promo-planos { padding: 0px 0 5px; width: 100%;}
.planos { margin: 0;}
span.texto-oferta {width: 255px; font-size: 20px; padding: 0;  margin: 5px 0 10px; } 

}

@media (max-width: 374px) {
 .promo { padding: 4px; }
.time-unit {font-size: 1rem !important; width: 75px; padding: 3px 0 !important;}
h5 { font-size: 1rem;}

}